Bug 1080676 - can't launch YaST2
can't launch YaST2
Status: RESOLVED WORKSFORME
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: YaST2
Current
HP Other
: P3 - Medium : Normal (vote)
: ---
Assigned To: E-mail List
Jiri Srain
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-02-12 21:43 UTC by Julie Gravel
Modified: 2018-03-19 14:44 UTC (History)
2 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---
cwh: needinfo? (jgravel)


Attachments
This is a test. (16 bytes, text/plain)
2018-02-14 15:17 UTC, Christopher Hofmann
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Julie Gravel 2018-02-12 21:43:40 UTC
User-Agent:       Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/64.0.3282.140 Safari/537.36
Build Identifier: 

I left my machine running but locked my screen before I left work last Friday (02/09/2018). When I came in this morning, my machine was locked up. I couldn't see any login prompt. So I rebooted it. After having the machine running for half a day, I noticed that I didn't get any software update notifications. I remember last week I got some of them. So I launched YaST2, wanting to go to Software Manager.

But I got this error when launching YaST2: 
Error │
│Internal error. Please report a bug report with logs. │
│Run save_y2logs to get complete logs. │
│Details: Failed to load Module 'Packages' due to: Failed to load Module 'AddOnProduct' due to: Failed to load Module 'ProductLicense' due to: Failed│
│Caller: /usr/lib64/ruby/2.5.0/rubygems/core_ext/kernel_require.rb:59:in `require'

YaST2 didn't come up. I last updated my system last week, probably Tuesday. I also have the log file but don't see a way to attach it.

Reproducible: Always
Comment 1 Julie Gravel 2018-02-12 21:48:11 UTC
I tried to attach the log file in the Attachments section but kept getting error when I clicked on the Submit button. So please let me know what I can do to send the log file to you guys.
Comment 2 Christopher Hofmann 2018-02-14 15:17:01 UTC
Created attachment 760161 [details]
This is a test.
Comment 3 Christopher Hofmann 2018-02-14 15:21:14 UTC
Creating an attachement works in general, as I just tested.
The error message bugzilla shows you is normally explaining what went wrong. 
Please read the error message carefully and try again.

Something general about your YaST error:
It looks like your system is in an inconsistent state.
Try updating from the command line using the command
´zypper dup´ as the root user.
Comment 4 Julie Gravel 2018-02-14 16:44:11 UTC
Hi Christopher,

I tried to attach the log file again and got the same error: 
This site can’t be reached
The webpage at https://bugzilla.opensuse.org/attachment.cgi might be temporarily down or it may have moved permanently to a new web address.

This is the same error that I had the other day and there wasn't any instruction that I could follow. I also checked the size of my log file. It's a little over 4MB so it's well within the size limit.

Any how, I did try 'zypper dup' command as you suggested. There were a lot of packages updated and removed. After that command completed, I could launch YaST2 again and didn't get any error. So I think I'm good now. I will definitely remember this command for the future. Thanks for your help.

Julie
Comment 5 Stefan Hundhammer 2018-03-19 14:44:31 UTC
So the problem appears to be resolved - cause unknown. Updating some packages might have done the trick.